<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title></title>
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <meta content="" name="keywords">
  <meta content="" name="description">

  <!-- Favicons -->
  <link rel="icon" href="img/favicon.ico" type="image/x-icon">
  

  <!-- Google Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,700,700i|Raleway:300,400,500,700,800|Montserrat:300,400,700" rel="stylesheet">

  

  <!-- Main Stylesheet File -->
  <link href="css/styles.css" rel="stylesheet">

 
</head>

<body id="body">
  <!--==========================
    Header
  ============================-->
   <div id="header">
    <div class="logo">
      <img src='img/logo.jpeg'>
      1604 N9 , Mdantsane , East London <br>
      Tel 043 492 0519 email help@isinti.org
    </div>
  </div>


      <div class="container">
      <form action='action.php'>
      
 <?php
 session_start();
 session_destroy();
 session_start();
 
      {
        $qtref=$_REQUEST["QTREF"];
        $_SESSION['QTREF']=$qtref;
      }

if($qtref=='test')
{
        $json=file_get_contents('json.txt');
        $json_data=json_decode($json,true);
}
else
{
  $config_info = parse_ini_file('config.ini', true);
  $dbsrvr=$config_info["server_info"]["database_server"];
  $quote_url=$config_info["server_info"]["quote_url"];
  $quote_service=$config_info["server_info"]["quote_service"];
  $url=$dbsrvr."/".$quote_url.$quote_service.$qtref;
  $c = curl_init($url);
  curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
  $json = curl_exec($c);
  curl_close($c);
  $json_data=json_decode($json,true);
  if($json_data==""){die('Could not reach database server');}
  if(array_key_exists("error",$json_data))
  {
    echo '<h1><center>Server returned error<br>';
    die($json_data['error']);
  }
}
      $quote= $json_data["returned_results"]["returned_results_live"]["@ID"];
      $status= $json_data["returned_results"]["returned_results_live"]["QUOTATION.STATUS"];
      $mobile=$json_data["returned_results"]["returned_results_live"]["CLIENT.MOBILE.NO"];
      $name=$json_data["returned_results"]["returned_results_live"]["CLIENT.NAME"]; 
      $addr1=$json_data["returned_results"]["returned_results_live"]["CLIENT.ADDRESS.HSE.NO"]." ".$json_data["returned_results"]["returned_results_live"]["CLIENT.ADDRESS.STREET.NAME"];
      $addr2=$json_data["returned_results"]["returned_results_live"]["CLIENT.ADDRESS.TOWN"];
      $addr3=$json_data["returned_results"]["returned_results_live"]["CLIENT.ADDRESS.CITY"];
      $addr4=$json_data["returned_results"]["returned_results_live"]["CLIENT.ADDRESS.PROVINCE"];
      $total=$json_data["returned_results"]["returned_results_live"]["TOTAL.COST"];
      $totaltax=$json_data["returned_results"]["returned_results_live"]["TAXATION"];
      $taxrate=$json_data["returned_results"]["returned_results_live"]["TAXATION.RATE"];
      $grandtotal=$json_data["returned_results"]["returned_results_live"]["TOTAL.QUOTE.AMOUNT"];
      echo "<h1>Quotation</h1>"; 
      echo "<table class='details__table'>";
      echo "
        <tr>
          <th style='width:15%;'></th>
          <th style='width:15%;'></th>
          <th style='width:15%;'></th>
          <th style='width:20%;'></th>
        </tr>
        
        <tr>
          <td>Quote Number :</td>
          <td class='left__align'>".$quote."</td>
          <td>Client details</td>
          <td class='left__align'>".$name."</td>
        </tr>

        <tr>
          <td>Quote Status </td>
          <td class='left__align'>".$status."</td>
          <td class='td__blank'>&nbsp</td>
          <td class='left__align'>".$addr1."</td>
        </tr>

        <tr>
          <td>Client mobile  number</td>
          <td class='left__align'>".$mobile."</td>
          <td class='td__blank'>&nbsp</td>
          <td class='left__align'>".$addr2."</td>
        </tr>

        <tr>
          <td class='td__blank'></td>
          <td class='td__blank'></td>
          <td class='td__blank'></td>
          <td class='left__align'>".$addr3."</td>
        </tr>";
      if($addr4!="")
      {
        echo "
        <tr>
          <td class='td__blank'></td>
          <td class='td__blank'></td>
          <td class='td__blank'></td>
          <td class='left__align'>".$addr4."</td>
        </tr>";
      }
      echo "
        </table><br><br>
      ";
/*      echo "</center>";
      echo $name."<br>";
      echo $addr1."<br>";
      echo $addr2."<br>";
      echo $addr3."<br>";
      echo $addr4."<br>";
      echo "</table>";
  */   
 
    echo "
    <table class='details__table'>
      <tr>
        <th style='width:15%;'>Item/Service</th>
        <th style='width:30%'>Description</th>
        <th>Unit cost</th>
        <th>Quantity</th>
        <th style='width:15%'>&nbsp;</th>
        <th>Applicable cost</th>
      </tr> ";
   
// service assoc
      $service_assoc=$json_data["returned_results"]["returned_results_live"]["SERVICE_ASSOC"];
      $services=array();
      $servicescnt=0;
      $serviceprice=array();
      $servicenarr=array();
      $servicesqty=array();
     foreach($service_assoc as $innerarray)
     {
       $servicesqty[$servicescnt]=$innerarray["REQ.SERVICE.QUANTITY"];
       $services[$servicescnt]=$innerarray["REQ.CLIENT.SERVICE"];
       $servicesval[$servicescnt]=$innerarray["REQ.SERVICE.COST"];
       $servicesprice[$servicescnt]=$innerarray["REQ.SERVICE.UNIT.COST"];
       $servicesnarr[$servicescnt]=$innerarray["REQ.SERVICE.NARRATIVE"];
       $servicescnt++;
     }
     for($i=0;$i<$servicescnt;$i++)
     {
      echo "
      <tr>
        <td class='center__align'>".$services[$i]."</td>
        <td class='center__align'>".$servicesnarr[$i]."</td>
        <td class='center__align'>".number_format($servicesprice[$i],2)."</td>
        <td class='center__align'>$servicesqty[$i]</td>
        <td>&nbsp;</td>
        <td>".number_format($servicesval[$i],2)."</td>
      </tr>";
     }
// med assoc

      $med_assoc=$json_data["returned_results"]["returned_results_live"]["MED_ASSOC"];
      $meds=array();
      $medscnt=0;
      $medprice=array();
      $mednarr=array();
      $medsqty=array();
     foreach($med_assoc as $innerarray)
     {
       $medsqty[$medscnt]=$innerarray["REQ.MED.QUANTITY"];
       $meds[$medscnt]=$innerarray["REQ.MED.ITEM"];
       $medsval[$medscnt]=$innerarray["REQ.MED.COST"];
       $medsprice[$medscnt]=$innerarray["REQ.MED.UNNIT.COST"];
       $medsnarr[$medscnt]=$innerarray["REQ.MED.NARRATIVE"];
       $medscnt++;
     }
     for($i=0;$i<$medscnt;$i++)
     {
      echo "
        <tr>
          <td class='center__align'>".$meds[$i]."</td>
          <td class='center__align'>".$medsnarr[$i]."</td>
          <td class='center__align'>".number_format($medsprice[$i],2)."</td>
          <td class='center__align'>$medsqty[$i]</td>
          <td>&nbsp;</td>
          <td>".number_format($medsval[$i],2)."</td>
        </tr>";
     }
//  totals
echo "
<tr>
  <td class='td__blank'></td>
  <td class='td__blank'></td>
  <td class='td__blank'></td>
  <td class='td__blank'></td>
  <td>Total order amount</td>
  <td>".number_format($total,2)."</td>
</tr>

<tr>
  <td class='td__blank'></td>
  <td class='td__blank'></td>
  <td class='td__blank'></td>
  <td class='td__blank'></td>
  <td>VAT</td>
  <td>".number_format($totaltax,2)."</td>
</tr>

<tr>
  <td class='td__blank'></td>
  <td class='td__blank'></td>
  <td class='td__blank'></td>
  <td class='td__blank'></td>
  <td>Total quote amount</td>
  <td>".number_format($grandtotal,2)."</td>
</tr>
";

echo "
  </table>
 Please accept conditions available <a href='docs/conditions.pdf' target='_blank'>here</a><input type='checkbox' name='cond' value='1' id='cond' required/>";
 
echo "  
<br> 
<fieldset style='width:40px;margin:0px auto;'>
     <legend>Select action</legend>
     <table>
     <tr><td align=left>
     <div>
     <label style='color: green;' for ='accept'>accept</label>
        <input type='radio' id='accept' value='ACCEPT' name='action'/>
        
      </div>
      </td></tr> <td align=left>
      <div>
      <label style='color: red' for ='accept'>reject&nbsp</label>
        <input type='radio' id='reject' value='REJECT' name='action'/>
        
      </div>  
      </td></tr><tr><td>
      <br><button type ='submit' class='confirm__button' >Submit</button>
      </table>
</fieldset>      
<div class='button__wrapper'> ";

$url1="http://".$dbsrvr."/".$quote_url."websvcname=QTRES&RS=ALL";
echo $url1;
//echo "				<button type = 'button' onclick=\"href='http://".$dbsrvr."/".$quote_url."websvcname=QTRES&RS=ALL'\"></i>Clear</button>";
   
   
?>
     

    </div>
  
<br>
 

  
  
 	         </form>
        </div>

      </div>
    </section><!-- #contact -->

  

  <!--==========================
    Footer
  ============================-->
  <footer id="footer">
    <div class="container">
      <div class="copyright">
        &copy; Copyright <strong>Diversitech CC</strong> 2024 . All Rights Reserved
      </div>
      <div class="credits">
      
        Designed by Diversitech CC
      </div>
    </div>
  </footer><!-- #footer -->

  <a href="#" class="back-to-top"><i class="fa fa-chevron-up"></i></a>

  <!-- JavaScript Libraries -->
  <script src="lib/jquery/jquery.min.js"></script>
  <script src="lib/jquery/jquery-migrate.min.js"></script>
  <script src="lib/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="lib/easing/easing.min.js"></script>
  <script src="lib/superfish/hoverIntent.js"></script>
  <script src="lib/superfish/superfish.min.js"></script>
  <script src="lib/wow/wow.min.js"></script>
  <script src="lib/owlcarousel/owl.carousel.min.js"></script>
  <script src="lib/magnific-popup/magnific-popup.min.js"></script>
  

  <!-- Contact Form JavaScript File -->
  <script src="contactform/contactform.js"></script>

  <!-- Template Main Javascript File -->
  <script src="js/main.js"></script>

</body>
</html>
<script>
 // Get the checkbox elementcont
 //var checkbox = document.getElementById('cont');
    // Get the hidden input element
   // var hiddenInput = document.getElementById('hiddenCheckbox');

    // Add event listener to checkbox
    //checkbox.addEventListener('change', function() {
        // Update the value of the hidden input field based on checkbox status
      //  hiddenInput.value = this.checked ? 1 : 0;
        //display 'gretmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm';
    //});
</script> 